SACN::MergeProxyUniverse Class Reference

The MergeProxyUniverse class 6.2.3.1 Multiple Sources at Highest Priority It is possible for there to be multiple sources, all transmitting data at the highest currently active priority for a given universe. More...

`#include <mergeproxyuniverse.h>`

Inheritance diagram for SACN::MergeProxyUniverse:
[legend]

## Public Member Functions

| MergeProxyUniverse ()
| MergeProxyUniverse::MergeProxyUniverse.
| ~MergeProxyUniverse ()
| MergeProxyUniverse::~MergeProxyUniverse.
const std::vector< Provenance > | sources () const
| MergeProxyUniverse::sources. More...
Universe * | sourceUniverse (const Provenance &)
| MergeProxyUniverse::sourceUniverse. More...
bool | hasSourceUniverse (const Provenance &) const
| MergeProxyUniverse::hasSourceUniverse. More...
bool | hasSources () const
| MergeProxyUniverse::hassources. More...
void | deleteSourceUniverse (const Provenance &)
| MergeProxyUniverse::deleteSourceUniverse. More...
void | addSourceUniverse (Universe *)
| MergeProxyUniverse::addSourceUniverse. More...
void | dataChangedNotifier (DMX::Universe *universe)
| MergeProxyUniverse::dataChangedNotifier. More...
bool | isSyncronized () const override
| MergeProxyUniverse::isSyncronized. More...
std::shared_ptr< Provenance > | source () const override
| MergeProxyUniverse::source. More...
void | set (std::shared_ptr< ACN::DMP::Pdu >, std::shared_ptr< Provenance >) override
| MergeProxyUniverse::set. More...
void | setProvenance (std::shared_ptr< Provenance >) override
| Universe::setSource. More...
void | synchronize () override
| MergeProxyUniverse::synchronize.
const DMX::DimmerData * | data () const override
| MergeProxyUniverse::data. More...
uint8_t | slot (const uint16_t) override
| MergeProxyUniverse::slot. More...
double | rxRate () override
| MergeProxyUniverse::rxRate. More...
Public Member Functions inherited from SACN::Universe
| Universe ()
| Universe::Universe.
Public Member Functions inherited from DMX::Universe
| Universe (int timeout_period=E111_DATA_LOSS_TIMEOUT)
| Universe::Universe. More...
virtual | ~Universe ()
| Universe::~Universe.
void | setValue (const uint16_t, const uint8_t)
| Universe::setValue. More...
void | setValue (const uint16_t, const uint16_t, const uint8_t *)
| Universe::setValue. More...
void | setData (std::vector< uint8_t >)
| Universe::setData Accept new data from receiver. More...
void | onData (const DataHandler)
| Universe::onData. More...
Public Member Functions inherited from ACN::DMP::Device
| Device ()
| Device::Device.

## Additional Inherited Members

Protected Attributes inherited from DMX::Universe
std::vector< DataHandler > | callbacks_
| list of calback functions

## Detailed Description

The MergeProxyUniverse class 6.2.3.1 Multiple Sources at Highest Priority It is possible for there to be multiple sources, all transmitting data at the highest currently active priority for a given universe.

When this occurs, receivers must handle these sources in some way.

## Member Function Documentation

## addSourceUniverse()

void SACN::MergeProxyUniverse::addSourceUniverse | ( | Universe * | universe | ) |

MergeProxyUniverse::addSourceUniverse.

Parameters

  universe |

Here is the call graph for this function:

## data()

const DMX::DimmerData * SACN::MergeProxyUniverse::data | ( |  | ) | const

overridevirtual

MergeProxyUniverse::data.

Returns

Reimplemented from DMX::Universe.

## dataChangedNotifier()

void SACN::MergeProxyUniverse::dataChangedNotifier | ( | DMX::Universe * | dmx | ) |

MergeProxyUniverse::dataChangedNotifier.

Parameters

  dmx |

## deleteSourceUniverse()

void SACN::MergeProxyUniverse::deleteSourceUniverse | ( | const Provenance & | src | ) |

MergeProxyUniverse::deleteSourceUniverse.

Parameters

  src |

## hasSources()

bool SACN::MergeProxyUniverse::hasSources | ( |  | ) | const

MergeProxyUniverse::hassources.

Returns

## hasSourceUniverse()

bool SACN::MergeProxyUniverse::hasSourceUniverse | ( | const Provenance & | src | ) | const

MergeProxyUniverse::hasSourceUniverse.

Parameters

  src |

Returns

Here is the caller graph for this function:

## isSyncronized()

bool SACN::MergeProxyUniverse::isSyncronized | ( |  | ) | const

overridevirtual

MergeProxyUniverse::isSyncronized.

Returns

Reimplemented from SACN::Universe.

## rxRate()

double SACN::MergeProxyUniverse::rxRate | ( |  | ) |

overridevirtual

MergeProxyUniverse::rxRate.

Returns

Reimplemented from DMX::Universe.

## set()

void SACN::MergeProxyUniverse::set | ( | std::shared_ptr< ACN::DMP::Pdu > | pdu,
|  | std::shared_ptr< Provenance > | src
| ) |  |

overridevirtual

MergeProxyUniverse::set.

Parameters

  pdu |
  src |

Reimplemented from SACN::Universe.

## setProvenance()

void SACN::MergeProxyUniverse::setProvenance | ( | std::shared_ptr< Provenance > | source | ) |

inlineoverridevirtual

Universe::setSource.

Parameters

  source |

Reimplemented from SACN::Universe.

## slot()

uint8_t SACN::MergeProxyUniverse::slot | ( | const uint16_t | s | ) |

overridevirtual

MergeProxyUniverse::slot.

Parameters

  s |

Returns

Reimplemented from SACN::Universe.

## source()

std::shared_ptr< Provenance > SACN::MergeProxyUniverse::source | ( |  | ) | const

overridevirtual

MergeProxyUniverse::source.

Returns

Reimplemented from SACN::Universe.

## sources()

const std::vector< Provenance > SACN::MergeProxyUniverse::sources | ( |  | ) | const

MergeProxyUniverse::sources.

Returns

## sourceUniverse()

Universe * SACN::MergeProxyUniverse::sourceUniverse | ( | const Provenance & | src | ) |

MergeProxyUniverse::sourceUniverse.

Parameters

  src |

Returns

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sacn/mergeproxyuniverse.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sacn/mergeproxyuniverse.cpp